FORMAT: 1A
HOST: http://apiblueprint.vapi.devorch.com/

# Group Vectorapi
Group of all vectorapi-related resources.

## Classicaltrack

Classical Releases are different from regular releases in that they can contain pieces of music organized in a different way.  Although, in the end, we are still delivering releases and tracks to a store, internally we may want to store this information separately for further purposes of our users.  What this means is that 

Classical Release Tracks will be linked to a Release, just as other tracks are.

## Post [/vectorapi/classicaltrack{?data,access_token}]

### Post [POST]

+ Parameters

    + data (varchar, `{"vendor_id":7123,"releaseId":1517337,"uniqueTrackId":"", "upc":888608385749,"bonus":"N","trackName":"New  classical track","isrc":"","explicitLyrics":"N","thirdPartyPublisher":"","pLine":"7778 Crustacean Records","cd":1,"trackId":1,"originalFileName":"track_3.wav","metaLanguage":"","trackWriter":[],"trackPublisher":[],"featuring":[{"name":"f1","type":"featuring"},{"name":"f2","type":"featuring"}],"remixer":[{"name":"r1","type":"remixer"},{"name":"r2","type":"remixer"}],"workName":"New work","movementName":"New movement"}`)
    + access_token (required, varchar, `some token`)

+ Request JSON Message
    
    + Headers

            Accept: application/json

+ Response 200 (application/json)

    + Body
{
  "envelope": {
    "header": {
      "apiVersion": "1.0",
      "baseUrl": "vapi.alpha.devorch.com",
      "httpStatusCode": 200
    },
    "request": "classicaltrack/post?params=vectorapi&classicaltrack&post&{\"vendor_id\":7123,\"releaseId\":1273499,\"uniqueTrackId\":\"\", \"upc\":888608385749,\"bonus\":\"N\",\"trackName\":\"New  classical track\",\"isrc\":\"\",\"explicitLyrics\":\"N\",\"thirdPartyPublisher\":\"\",\"pLine\":\"7778 Crustacean Records\",\"cd\":1,\"trackId\":1,\"originalFileName\":\"track_3.wav\",\"metaLanguage\":\"\",\"trackWriter\":[],\"trackPublisher\":[],\"featuring\":[{\"name\":\"f1\",\"type\":\"featuring\"},{\"name\":\"f2\",\"type\":\"featuring\"}],\"remixer\":[{\"name\":\"r1\",\"type\":\"remixer\"},{\"name\":\"r2\",\"type\":\"remixer\"}],\"workName\":\"New work\",\"movementName\":\"New movement\"}&<some_token>&json",
    "response": {
      "track_id": 15630876
    }
  }
}



+ **Required Parameters**

    + Required Parameters : releaseId, originalFileName, cd, trackId

+ **Optional Parameters**

    + Parameters : movementName,uniqueTrackId,trackName,isrc,explicitLyrics, thirdPartyPublisher, pLine, bonus, metaLanguage, previewStartTime, trackArtist, performer, remixer, featuring, trackWriter, trackPublisher, vendorTrackIdentifier 


## Put [/vectorapi/classicaltrack/put{?data,access_token}]

### Put - to update classical track data. [POST]

+ Parameters
    
    + data (varchar, `{"releaseId":1517337,"uniqueTrackId":"18415494", "upc":888608385749,"bonus":"N","trackName":"Updating classical track","isrc":"","explicitLyrics":"N","thirdPartyPublisher":"","pLine":"7778 Crustacean Records","metaLanguage":"FRE","trackWriter":[],"trackPublisher":[],"featuring":[{"name":"f1","type":"featuring"},{"name":"f2","type":"featuring"}],"remixer":[{"name":"r1","type":"remixer"},{"name":"r2","type":"remixer"}],"workName":"Updating work","movementName":"New movement"}`)    
    + access_token (required, varchar, `some token`)

+ Request JSON Message
    
    + Headers

            Accept: application/json

+ Response 200 (application/json)

    + Body
{
  "envelope": {
    "header": {
      "apiVersion": "1.0",
      "baseUrl": "vapi.alpha.devorch.com",
      "httpStatusCode": 200
    },
    "request": "classicaltrack/put?params=vectorapi&classicaltrack&put&{\"releaseId\":1273499,\"uniqueTrackId\":\"15630876\", \"upc\":888608385749,\"bonus\":\"N\",\"trackName\":\"Updating classical track\",\"isrc\":\"\",\"explicitLyrics\":\"N\",\"thirdPartyPublisher\":\"\",\"pLine\":\"7778 Crustacean Records\",\"metaLanguage\":\"FRE\",\"trackWriter\":[],\"trackPublisher\":[],\"featuring\":[{\"name\":\"f1\",\"type\":\"featuring\"},{\"name\":\"f2\",\"type\":\"featuring\"}],\"remixer\":[{\"name\":\"r1\",\"type\":\"remixer\"},{\"name\":\"r2\",\"type\":\"remixer\"}],\"workName\":\"Updating work\",\"movementName\":\"New movement\"}&<some_token>&put&json",
    "response": {
      "classicalTrack": {
        "trackInfo": {
          "id": 18415494,
          "trackName": "Updating work: New movement",
          "upc": "888608385749",
          "cd": 1,
          "trackId": 3,
          "orchdmclip": null,
          "sample": "N",
          "dmclips": null,
          "isrc": "",
          "lengthMinute": null,
          "lengthSeconds": null,
          "writer": null,
          "credit": "orig_comp",
          "mechanical": "no",
          "publisher": null,
          "publishCompany": null,
          "dpdLicense": "no",
          "explicitLyrics": "N",
          "version": null,
          "purchasable": "Y",
          "downloadPrice": null,
          "pLine": "7778 Crustacean Records",
          "hidden": null,
          "offerType": "all",
          "digDistributionType": "digital_mobile",
          "thirdPartyPublisher": "",
          "royaltyCollection": "Y",
          "publishingAdmin": "N",
          "syncAdmin": "Y",
          "additionalId": null,
          "trackType": "music",
          "mp3Url": null,
          "stereoOrMono": null,
          "bonus": "N",
          "recommended": "N",
          "youtubeMatches": "Monetize",
          "youtubeUploads": null,
          "preorderOnly": "N",
          "originalFileName": "track_3.wav",
          "lastUpdated": "2014-03-12 06:15:07",
          "metaLanguage": "FRE",
          "previewStartTime": null,
          "closedCaptionExists": null,
          "closedCaptionReason": null,
          "vendorTrackIdentifier": null,
          "releaseSubtitles": {},
          "Releases": {
            "__isInitialized__": true
          },
          "TrackArtist": {},
          "TrackWriter": {},
          "TrackPublisher": {},
          "TrackVideo": null,
          "TrackVideoMarker": {},
          "TrackCredit": {}
        },
        "movementInfo": {
          "id": null,
          "name": "New movement",
          "track": {},
          "work": {}
        },
        "workInfo": {
          "id": null,
          "name": "Updating work"
        }
      }
    }
  }
}


+ **Required Parameters**

    + Required Parameters : uniqueTrackId

+ **Optional Parameters**

    + Parameters : releaseId, originalFileName, cd, trackId, movementName,trackName,isrc,explicitLyrics, thirdPartyPublisher, pLine, bonus, metaLanguage, previewStartTime, trackArtist, performer, remixer, featuring, trackWriter, trackPublisher, vendorTrackIdentifier 


## GET [/vectorapi/classicaltrack{?id,access_token}]

### GET [GET]

+ Parameters
    
    + id (required, number, `18415494`)    
    + access_token (required, varchar, `some token`)

+ Request JSON Message
    
    + Headers

            Accept: application/json

+ Response 200 (application/json)

    + Body
{
  "envelope": {
    "header": {
      "apiVersion": "1.0",
      "baseUrl": "vapi.alpha.devorch.com",
      "httpStatusCode": 200
    },
    "request": "classicaltrack/get?params=vectorapi&classicaltrack&get&15630876&<some_token>&json",
    "response": {
      "classicalTrack": {
        "trackInfo": {
          "id": 15630876,
          "trackName": "Updating work: New movement",
          "upc": "888608385749",
          "cd": 1,
          "trackId": 3,
          "orchdmclip": null,
          "sample": "N",
          "dmclips": null,
          "isrc": "",
          "lengthMinute": null,
          "lengthSeconds": null,
          "writer": null,
          "credit": "orig_comp",
          "mechanical": "no",
          "publisher": null,
          "publishCompany": null,
          "dpdLicense": "no",
          "explicitLyrics": "N",
          "version": null,
          "purchasable": "Y",
          "downloadPrice": null,
          "pLine": "7778 Crustacean Records",
          "hidden": null,
          "offerType": "all",
          "digDistributionType": "digital_mobile",
          "thirdPartyPublisher": "",
          "royaltyCollection": "Y",
          "publishingAdmin": "N",
          "syncAdmin": "Y",
          "additionalId": null,
          "trackType": "music",
          "mp3Url": null,
          "stereoOrMono": null,
          "bonus": "N",
          "recommended": "N",
          "youtubeMatches": "Monetize",
          "youtubeUploads": null,
          "preorderOnly": "N",
          "originalFileName": "track_3.wav",
          "lastUpdated": "2014-03-12 06:20:31",
          "metaLanguage": "FRE",
          "previewStartTime": null,
          "closedCaptionExists": null,
          "closedCaptionReason": null,
          "vendorTrackIdentifier": null,
          "releaseSubtitles": {},
          "Releases": {
            "__isInitialized__": true
          },
          "TrackArtist": {},
          "TrackWriter": {},
          "TrackPublisher": {},
          "TrackVideo": null,
          "TrackVideoMarker": {},
          "TrackCredit": {}
        },
        "movementInfo": {
          "id": null,
          "name": "Updating work: New movement",
          "track": null,
          "work": null
        },
        "workInfo": {
          "id": null,
          "name": "Updating work: New movement"
        }
      }
    }
  }
}


## Index [/vectorapi/classicaltrack/index{?release_id,limit,access_token}]

### Index [GET]

+ Parameters

    + release_id (required, number, `1517337`)
    + limit (optional, number, `2`)
    + access_token (required, varchar, `some token`)

+ Request JSON Message
    
    + Headers

            Accept: application/json

+ Response 200 (application/json)

    + Body
{
  "envelope": {
    "header": {
      "apiVersion": "1.0",
      "baseUrl": "vapi.alpha.devorch.com",
      "httpStatusCode": 200
    },
    "request": "classicaltrack/index?params=vectorapi&classicaltrack&index&1275164&2&<some_token>&json",
    "response": {
      "classicalTracks": [
        {
          "id": 15629434,
          "trackName": "test3: as",
          "upc": "888608404754",
          "cd": 1,
          "trackId": 1,
          "orchdmclip": null,
          "sample": "N",
          "dmclips": null,
          "isrc": "US6R21230759",
          "lengthMinute": null,
          "lengthSeconds": null,
          "writer": null,
          "credit": "orig_comp",
          "mechanical": "no",
          "publisher": null,
          "publishCompany": null,
          "dpdLicense": "no",
          "explicitLyrics": "N",
          "version": "3.0",
          "purchasable": "Y",
          "downloadPrice": null,
          "pLine": "2012 dec",
          "hidden": null,
          "offerType": "all",
          "digDistributionType": "digital_mobile",
          "thirdPartyPublisher": "N",
          "royaltyCollection": "Y",
          "publishingAdmin": "N",
          "syncAdmin": "Y",
          "additionalId": null,
          "trackType": "music",
          "mp3Url": null,
          "stereoOrMono": null,
          "bonus": "N",
          "recommended": "N",
          "youtubeMatches": "Monetize",
          "youtubeUploads": null,
          "preorderOnly": "N",
          "originalFileName": "track_3.wav",
          "lastUpdated": "2014-02-27 01:40:15",
          "metaLanguage": "GER",
          "previewStartTime": null,
          "closedCaptionExists": null,
          "vendorTrackIdentifier": ""
        }
      ]
    }
  }
}

+ **Other Optional Parameters**

    + Optional Parameters : limit, offset, pageNumber, totalRecords
    + Sort Options : columnName, orderBy
    + Parameter options (filter): upc


## Delete [/vectorapi/classicaltrack{?id,access_token}]

### Delete [DELETE]

+ Parameters

    + id (number, `15630884`) ... primary key track table.
    + access_token (varchar, `some token`)

+ Request JSON Message
    
    + Headers

            Accept: application/json

+ Response 200 (application/json)

    + Body
{
  "envelope": {
    "header": {
      "apiVersion": "1.0",
      "baseUrl": "vapi.alpha.devorch.com",
      "httpStatusCode": 200
    },
    "request": "classicaltrack/delete?params=vectorapi&classicaltrack&delete&15630885&<some_token>&json",
    "response": {
      "classicalTrack": "success"
    }
  }
}
